# Translator API

The translation API allows you to rewrite some text in a different language

{% hint style="success" %}
This API is compatible with the [Translation API proposal](https://github.com/WICG/translation-api) shipping with Google Chrome
{% endhint %}

Use the translation API to translate a block of text

```javascript
import AI from '@aibrow/web'

const translator = await AI.AIBrow.Translator.create({
  sourceLanguage: 'en',
  targetLanguage: 'es'
});

// Prompt the model and wait for the whole result to come back.
const result = await translator.translate("If you don't build your dream, someone else will hire you to help them build theirs.");
console.log(result);

// Prompt the model and stream the result:
const stream = await translator.translateStreaming("If you don't build your dream, someone else will hire you to help them build theirs.");
for await (const chunk of stream) {
  console.log(chunk);
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aibrow.ai/examples/translator-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
